The end time of the workflow execution, if available













Beta Workflows Executions Endpoints
Trigger, monitor, and control workflow executions.












Examples
Real world code examples
Get Workflow Execution
GET /v1/workflows/executions/{execution_id}
execution_id
200
Successful Response
end_time
execution_id
The ID of the workflow execution
parent_execution_id
The parent execution ID of the workflow execution
result
The result of the workflow execution, if available
root_execution_id
The root execution ID of the workflow execution
start_time
The start time of the workflow execution
status
The status of the workflow execution
total_duration_ms
The total duration of the trace in milliseconds
workflow_name
The name of the workflow
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Get Workflow Execution History
GET /v1/workflows/executions/{execution_id}/history
execution_id
decode_payloads
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnullSignal Workflow Execution
POST /v1/workflows/executions/{execution_id}/signals
execution_id
name
The name of the signal to send
202
Successful Response
message
Default Value: "Signal accepted"
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/signals \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/signals \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'202
{}{}Query Workflow Execution
POST /v1/workflows/executions/{execution_id}/queries
execution_id
name
The name of the query to request
200
Successful Response
query_name
result
The result of the Query workflow call
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/queries \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/queries \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'200
{
"query_name": "ipsum eiusmod",
"result": null
}{
"query_name": "ipsum eiusmod",
"result": null
}Terminate Workflow Execution
POST /v1/workflows/executions/{execution_id}/terminate
execution_id
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/terminate \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/terminate \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'Batch Terminate Workflow Executions
POST /v1/workflows/executions/terminate
execution_ids
List of execution IDs to process
200
Successful Response
results
Mapping of execution_id to result with status and optional error message
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/terminate \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"execution_ids": [
"ipsum eiusmod"
]
}'curl https://api.mistral.ai/v1/workflows/executions/terminate \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"execution_ids": [
"ipsum eiusmod"
]
}'200
{}{}Cancel Workflow Execution
POST /v1/workflows/executions/{execution_id}/cancel
execution_id
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/cancel \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/cancel \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'Batch Cancel Workflow Executions
POST /v1/workflows/executions/cancel
execution_ids
List of execution IDs to process
200
Successful Response
results
Mapping of execution_id to result with status and optional error message
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/cancel \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"execution_ids": [
"ipsum eiusmod"
]
}'curl https://api.mistral.ai/v1/workflows/executions/cancel \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"execution_ids": [
"ipsum eiusmod"
]
}'200
{}{}Reset Workflow
POST /v1/workflows/executions/{execution_id}/reset
execution_id
event_id
The event ID to reset the workflow execution to
exclude_signals
Default Value: false
Whether to exclude signals that happened after the reset point
exclude_updates
Default Value: false
Whether to exclude updates that happened after the reset point
reason
Reason for resetting the workflow execution
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/reset \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"event_id": 87
}'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/reset \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"event_id": 87
}'Update Workflow Execution
POST /v1/workflows/executions/{execution_id}/updates
execution_id
name
The name of the update to request
200
Successful Response
result
The result of the Update workflow call
update_name
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/updates \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/updates \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "ipsum eiusmod"
}'200
{
"result": null,
"update_name": "ipsum eiusmod"
}{
"result": null,
"update_name": "ipsum eiusmod"
}Get Workflow Execution Trace Otel
GET /v1/workflows/executions/{execution_id}/trace/otel
execution_id
200
Successful Response
data_source
The data source of the trace
end_time
The end time of the workflow execution, if available
execution_id
The ID of the workflow execution
otel_trace_data
Trace response in OpenTelemetry format.
This is the unified trace format used across all trace providers (Tempo, ClickHouse, etc.). Regardless of the underlying backend, all trace data is normalized to this Tempo-compatible OpenTelemetry format to ensure consistency in the API response structure.
otel_trace_id
The ID of the trace
parent_execution_id
The parent execution ID of the workflow execution
result
The result of the workflow execution, if available
root_execution_id
The root execution ID of the workflow execution
start_time
The start time of the workflow execution
status
The status of the workflow execution
total_duration_ms
The total duration of the trace in milliseconds
workflow_name
The name of the workflow
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/otel \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/otel \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"data_source": "ipsum eiusmod",
"end_time": null,
"execution_id": "consequat do",
"result": null,
"root_execution_id": "reprehenderit ut dolore",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "occaecat dolor sit"
}{
"data_source": "ipsum eiusmod",
"end_time": null,
"execution_id": "consequat do",
"result": null,
"root_execution_id": "reprehenderit ut dolore",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "occaecat dolor sit"
}Get Workflow Execution Trace Summary
GET /v1/workflows/executions/{execution_id}/trace/summary
execution_id
200
Successful Response
end_time
The end time of the workflow execution, if available
execution_id
The ID of the workflow execution
parent_execution_id
The parent execution ID of the workflow execution
result
The result of the workflow execution, if available
root_execution_id
The root execution ID of the workflow execution
start_time
The start time of the workflow execution
status
The status of the workflow execution
total_duration_ms
The total duration of the trace in milliseconds
workflow_name
The name of the workflow
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/summary \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/summary \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Get Workflow Execution Trace Events
GET /v1/workflows/executions/{execution_id}/trace/events
execution_id
merge_same_id_events
include_internal_events
200
Successful Response
end_time
The end time of the workflow execution, if available
The events of the workflow execution
execution_id
The ID of the workflow execution
parent_execution_id
The parent execution ID of the workflow execution
result
The result of the workflow execution, if available
root_execution_id
The root execution ID of the workflow execution
start_time
The start time of the workflow execution
status
The status of the workflow execution
total_duration_ms
The total duration of the trace in milliseconds
workflow_name
The name of the workflow
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/events \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/events \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Stream
GET /v1/workflows/executions/{execution_id}/stream
execution_id
event_source
last_event_id
200
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnull